cth-odoo

Untitled

Feb 27th, 2021
776
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. Error:
  2. Odoo Server Error
  3.  
  4. Traceback (most recent call last):
  5.   File "/home/odoo/src/odoo/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
  6.     result = request.dispatch()
  7.   File "/home/odoo/src/odoo/odoo/http.py", line 683, in dispatch
  8.     result = self._call_function(**self.params)
  9.   File "/home/odoo/src/odoo/odoo/http.py", line 359, in _call_function
  10.     return checked_call(self.db, *args, **kwargs)
  11.   File "/home/odoo/src/odoo/odoo/service/model.py", line 94, in wrapper
  12.     return f(dbname, *args, **kwargs)
  13.   File "/home/odoo/src/odoo/odoo/http.py", line 347, in checked_call
  14.     result = self.endpoint(*a, **kw)
  15.   File "/home/odoo/src/odoo/odoo/http.py", line 912, in __call__
  16.     return self.method(*args, **kw)
  17.   File "/home/odoo/src/odoo/odoo/http.py", line 531, in response_wrap
  18.     response = f(*args, **kw)
  19.   File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1377, in call_kw
  20.     return self._call_kw(model, method, args, kwargs)
  21.   File "/home/odoo/src/odoo/addons/web/controllers/main.py", line 1369, in _call_kw
  22.     return call_kw(request.env[model], method, args, kwargs)
  23.   File "/home/odoo/src/odoo/odoo/api.py", line 396, in call_kw
  24.     result = _call_kw_multi(method, model, args, kwargs)
  25.   File "/home/odoo/src/odoo/odoo/api.py", line 383, in _call_kw_multi
  26.     result = method(recs, *args, **kwargs)
  27.   File "/home/odoo/src/odoo/odoo/models.py", line 6228, in onchange
  28.     record._onchange_eval(name, field_onchange[name], result)
  29.   File "/home/odoo/src/odoo/odoo/models.py", line 5984, in _onchange_eval
  30.     method_res = method(self)
  31.   File "/home/odoo/src/odoo/addons/barcodes/models/barcode_events_mixin.py", line 22, in _on_barcode_scanned
  32.     return self.on_barcode_scanned(barcode)
  33.   File "/home/odoo/src/user/connect-erp/sales_point/models/sale.py", line 209, in on_barcode_scanned
  34.     self.order_line[-1].product_id_change()
  35.   File "/home/odoo/src/odoo/odoo/models.py", line 5668, in __getitem__
  36.     return self.browse((self._ids[key],))
  37. Exception
  38.  
  39. The above exception was the direct cause of the following exception:
  40.  
  41. Traceback (most recent call last):
  42.   File "/home/odoo/src/odoo/odoo/http.py", line 639, in _handle_exception
  43.     return super(JsonRequest, self)._handle_exception(exception)
  44.   File "/home/odoo/src/odoo/odoo/http.py", line 315, in _handle_exception
  45.     raise exception.with_traceback(None) from new_cause
  46. IndexError: tuple index out of range
RAW Paste Data

Adblocker detected! Please consider disabling it...

We've detected AdBlock Plus or some other adblocking software preventing Pastebin.com from fully loading.

We don't have any obnoxious sound, or popup ads, we actively block these annoying types of ads!

Please add Pastebin.com to your ad blocker whitelist or disable your adblocking software.

×